Hello guys my name is Naga Durgarao Baddhi, Today I’m going to tell you how to fix common PubG Lite desktop errors like DX11 feature level 10.0 is required to run the engine.

Steps to Fix the error in PubG Lite Desktop

Step: 1

  • Goto https://lite.pubg.com/download/
  • Click the ‘Download’ button (If you’re already downloaded the game, simply skip this step)
  • Download “Microsoft Visual C++”, “.NET Framework 4.5.2”, “DirectX 11”
  • Install these 3 tools then you need to download graphic drivers.
  • If you’re using Intel Processor you need to download Intel Graphics
  • After download is complete, you need to install the drivers
  • Now open Pubg Lite and enjoy uninterrupted gaming experience in your PC without getting any issues.

If you have any issues, Please comment below I give you another solution for you. Thank you!